<?php

/**
 * MarkAsJunk2 configuration file
 */

// Learning driver
// Use an external process such as sa-learn to learn from spam/ham messages. Default: null.
// Please see the README for more information
$rcmail_config['markasjunk2_learning_driver'] = 'email_learn';

// Mark messages as read when reporting them as spam
$rcmail_config['markasjunk2_read_spam'] = true;

// Mark messages as unread when reporting them as ham
$rcmail_config['markasjunk2_unread_ham'] = false;

// When reporting a message as ham, if the orginial message is attached (like with SpamAssassin reports),
// detach the orginial message and move that to the INBOX, deleteing the spam report
$rcmail_config['markasjunk2_detach_ham'] = false;

// Add flag to messages marked as spam (flag will be removed when marking as ham)
// If you do not want to use message flags set this to null
$rcmail_config['markasjunk2_spam_flag'] = '[SPAM]';

// Add flag to messages marked as ham (flag will be removed when marking as spam)
// If you do not want to use message flags set this to null
$rcmail_config['markasjunk2_ham_flag'] = null;

// Write output from spam/ham commands to the log for debug
$rcmail_config['markasjunk2_debug'] = true;

// Show icon on mailbox toolbar
// The mark as spam/ham icon can either be displayed on the toolbar or as part of the mark messages menu
$rcmail_config['markasjunk2_mb_toolbar'] = true;

// cmd_learn Driver options
// ------------------------
// The command used to learn that a message is spam
// The command can contain the following macros that will be expanded as follows:
//      %u is replaced with the username (from the session info)
//      %l is replaced with the local part of the username (if the username is an email address)
//      %d is replaced with the domain part of the username (if the username is an email address or default mail domain if not)
//      %f is replaced with the path to the message file (THIS SHOULD ALWAYS BE PRESENT)
// If you do not want run the command set this to null
$rcmail_config['markasjunk2_spam_cmd'] = null;

// The command used to learn that a message is ham
// The command can contain the following macros that will be expanded as follows:
//      %u is replaced with the username (from the session info)
//      %l is replaced with the local part of the username (if the username is an email address)
//      %d is replaced with the domain part of the username (if the username is an email address or default mail domain if not)
//      %f is replaced with the path to the message file (THIS SHOULD ALWAYS BE PRESENT)
// If you do not want run the command set this to null
$rcmail_config['markasjunk2_ham_cmd'] = null;

// dir_learn Driver options
// ------------------------
// The full path of the directory used to store spam (must be writable by webserver)
$rcmail_config['markasjunk2_spam_dir'] = null;

// The full path of the directory used to store ham (must be writable by webserver)
$rcmail_config['markasjunk2_ham_dir'] = null;

// The filename prefix
// The filename can contain the following macros that will be expanded as follows:
//      %u is replaced with the username (from the session info)
//      %l is replaced with the local part of the username (if the username is an email address)
//      %d is replaced with the domain part of the username (if the username is an email address or default mail domain if not)
//      %t is replaced with the type of message (spam/ham)
$rcmail_config['markasjunk2_filename'] = null;

// email_learn Driver options
// --------------------------

// Use DSPAM forwarding
// in dspam forwarding mode, the email is sent to {spam|nonspam}-(email)
// dspam has the responsability to parse the learning email address and relearn
// ex: bob@example.net learn by forwarding to spam-bob@example.net or nonspam-bob@example.net
$rcmail_config['markasjunk2_dspam_mode'] = true;

// The email address that spam messages will be sent to
// If you do not want run the command set this to null
//note: ignored in Dspam mode
$rcmail_config['markasjunk2_email_spam'] = null;

// The email address that ham messages will be sent to
// If you do not want run the command set this to null
//note: ignored in Dspam mode
$rcmail_config['markasjunk2_email_ham'] = null;

// Should the spam/ham message be sent as an attachment
$rcmail_config['markasjunk2_email_attach'] = false;

// The email subject
// The subject can contain the following macros that will be expanded as follows:
//      %u is replaced with the username (from the session info)
//      %l is replaced with the local part of the username (if the username is an email address)
//      %d is replaced with the domain part of the username (if the username is an email address or default mail domain if not)
//      %t is replaced with the type of message (spam/ham)
$rcmail_config['markasjunk2_email_subject'] = "learned as %t";

?>
